transactionRef is unique and stable — deduplicate on it so a repeated notification is processed only once.GET /api/v1/transactions?search={transactionRef}.curl --location 'https://merchantapi-dev.vantpay.io/webhook-notifications/collection' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"transactionRef": "de95884fbfaa8285e29964df2c1b2be8",
"amount": 19900,
"account": "9000603117",
"sourceAccount": "1000203425",
"sourceBank": "Digitvant MFB",
"senderName": "Innocent Orji",
"narration": "Virtual Account Credit",
"transactionDate": "2026-09-08T16:04:14",
"status": "SUCCESSFUL"
}'